package com.goafanti.common.dao;

import com.goafanti.business.bo.InputRestrictProject;
import com.goafanti.business.bo.OutRestrictProject;
import com.goafanti.common.model.RestrictProject;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @author Administrator
* @description 针对表【restrict_project(限定项目表)】的数据库操作Mapper
* @createDate 2024-05-13 16:41:41
* @Entity com.goafanti.common.model.RestrictProject
*/
public interface RestrictProjectMapper {

    int deleteByPrimaryKey(Integer id);

    int insert(RestrictProject record);

    int insertSelective(RestrictProject record);

    RestrictProject selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(RestrictProject record);

    int updateByPrimaryKey(RestrictProject record);

    RestrictProject selectByParam(InputRestrictProject in);

    List<RestrictProject> selectListByParam(InputRestrictProject in);

    /**
     * 所有限定项目及签单情况
     * @param in
     * @return
     */
    List<OutRestrictProject> selectByUidAndAid(InputRestrictProject in);

    List<OutRestrictProject> selectByUid(String id);

    void updateRelease(List<Integer> list2);

    void updateRefreshLockTime(@Param("uid") String uid, @Param("pid") String pid, @Param("aid") String aid);


    void deleteByPram(RestrictProject restrictProject);

    Integer selectPrivateByAid(String aid);
}
